Mailinglist Archive: opensuse (3217 mails)

< Previous Next >
Re: [SLE] apt fails upgrading to kde 3.2
  • From: Richard Bos <radoeka@xxxxxxxxx>
  • Date: Tue, 2 Mar 2004 22:00:49 +0100
  • Message-id: <200403022200.49363.radoeka@xxxxxxxxx>
Op dinsdag 2 maart 2004 21:52, schreef Mike Evans:
> apt fails with these errors:
>
> error: cannot get exclusive lock on /var/lib/rpm/Packages
> error: cannot open Packages index using db3 - Operation not permitted (1)
> error: cannot open Packages database in /var/lib/rpm
>
> I am of course running apt as root, I have no other package managers
> running (that I'm aware of), and can install, remove and upgrade
> individual packages with apt.  Any ideas as to how to fix this?

No yast, synaptic or rpm build running/active.
Try with 'lsof | grep -i rpm' who is currently using the rpm database.
If that is too cumbersome, a fast to resolve this is by booting.

--
Richard Bos
Without a home the journey is endless


< Previous Next >
Follow Ups
References